WordPress.org

Support

Support » Plugins and Hacks » WooCommerce Video Product Tab » [Resolved] wocommerce 2.x update

[Resolved] wocommerce 2.x update

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Sebastien Dumont

    @sebd86

    If the plugin fails to work on the next version of WooCommerce then yes I will make it work with the new version.

    When I try to activate it says “WooCommerce Video Product Tab requires WooCommerce to be activated in order to work. Please install and activate WooCommerce first.” But woocommerce 2.0RC2 is activated. The “Video” tab is not shown when adding a product.

    Plugin Author Sebastien Dumont

    @sebd86

    I haven’t tested the plugin yet with any of beta or release candidate version of WooCommerce 2.0 but if you are getting the message saying WooCommerce needs to be activated it’s because they have changed how WooCommerce is detected. I will work on this soon and update you when I have it working.

    Thanks, sounds great. I think they also changed the product adding page.

    Plugin Author Sebastien Dumont

    @sebd86

    I have found the reason why it is not working with any beta or release candidates of version 2. It’s because the plugin is only detecting woocommerce like so: if(in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))){ which is correct, but for it to work on lets say RC2, it needs to read like this: if(in_array('woocommerce-2.0.0-RC2/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))){.

    So either change the directory folder for the woocommerce plugin or edit the plugin to detect the version you are using.

    WooCommerce RC 2
    if(in_array('woocommerce-2.0.0-RC2/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))){

    Plugin Author Sebastien Dumont

    @sebd86

    I will be releasing an update for the plugin soon.

    Plugin Author Sebastien Dumont

    @sebd86

    Just uploaded Version 2.0 Beta 1. Try it out and report feedback.

    When I use the Version 2.0 Beta 1 AND manually change it to if(in_array(‘woocommerce-2.0.0-RC2/woocommerce.php’, apply_filters(‘active_plugins’, get_option(‘active_plugins’)))){
    it let me add Vido on product edit page. But in the frontend view I get this error-message:

    Warning: uasort() [function.uasort]: The argument should be an array in /wp-content/plugins/woocommerce-2.0.0-RC2/woocommerce-template.php on line 792

    Plugin Author Sebastien Dumont

    @sebd86

    Yes I see. I am doing my best to find a solution. WooThemes don’t have everything new that has changed documented. A few things have changed with the way the frontend is displayed and the way the data is gathered. WooCommerce v2.0 will be released in a few days so hopefully WooThemes will have more documentation along with it so that I can fix this problem.

    OK, thanks.

    Hey Sebastien, I just tinkered with your code a bit, this will work with WooCommerce 2.0 and should be compatible for old versions of WooCommerce as well.

    Updated version of woocommerce-video-tab.php http://cld.wthms.co/85Mj

    Cheers,

    Tom

    Plugin Author Sebastien Dumont

    @sebd86

    Thanks Tom for your support. It helped confirm that the code used in the custom tab lite plugin that I used was correct. I hope you like the plugin.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Resolved] wocommerce 2.x update’ is closed to new replies.
Skip to toolbar